package com.wechat.dao;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.impl.BaseDao;
import com.wechat.model.dto.AreaDto;
import com.wechat.model.dto.City;
import com.wechat.model.responseDto.DPResp;
import com.wechat.model.responseDto.JobFairByHotelResp;

/**
 * 单表生成DAO接口
 * 
 * @author jadyn.wu
 * @version 2020-02-25
 */

@Repository
public class MdeJobFairDao extends BaseDao {

	/**
	 * 获取招聘会参会酒店列表
	 * 
	 * @param userCode
	 * @return
	 */
	public JobFairByHotelResp getJobFairByHotel(Integer fairId) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("fairId", fairId);
		return super.selectOne("MdeJobFairMapper.getFairByHotel", map);
	}

	
	/**
	 * 获取招聘会参会酒店城市列表
	 * 
	 * @param userCode
	 * @return
	 */
	public List<City> getJobFairCitys(Integer fairId) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("fairId", fairId);
		return super.select("MdeJobFairMapper.getJobFairCitys", map);
	}
	
	/**
	 * 获取招聘会参会酒店 职位列表
	 * 
	 * @param userCode
	 * @return
	 */
	public List<DPResp> getJobFairDepartments(Integer fairId) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("fairId", fairId);
		return super.select("MdeJobFairMapper.getJobFairDepartments", map);
	}
	
}
